Making dependency list for source file tempoRfbFoamX4.C
Making dependency list for source file periodicPhiElecCoupling.C
could not open file periodicPhiElecCoupling.H for source file periodicBC/periodicPhiElecCoupling.C due to No such file or directory
Making dependency list for source file periodiccLiElecCoupling.C
could not open file periodiccLiElecCoupling.H for source file periodicBC/periodiccLiElecCoupling.C due to No such file or directory
Making dependency list for source file periodicPhiSolidCoupling.C
could not open file periodicPhiSolidCoupling.H for source file periodicBC/periodicPhiSolidCoupling.C due to No such file or directory
Making dependency list for source file BVcElecGradRFB.C
Making dependency list for source file BVphiSolidMixedRFB.C
Making dependency list for source file BVphiElecGradRFB.C
Making dependency list for source file wallFluxFixedPhiSolid.C
could not open file wallFluxFixedPhiSolid.H for source file wallFluxSolid/wallFluxFixedPhiSolid.C due to No such file or directory
Making dependency list for source file wallFluxcClAWFvPatchScalarField.C
could not open file wallFluxcClAWFvPatchScalarField.H for source file wallFluxElec/wallFluxcClAWFvPatchScalarField.C due to No such file or directory
g++ -std=c++11 -m64 -Dlinux64 -DWM_ARCH_OPTION=64 -DWM_DP -DWM_LABEL_SIZE=32 -Wall -Wextra -Wold-style-cast -Wnon-virtual-dtor -Wno-unused-parameter -Wno-invalid-offsetof -Wno-attributes -O3  -DNoRepository -ftemplate-depth-100 -I./solid -I./fluid -I./ButlerVolmerCoupling -I./ButlerVolmerCouplingRFB -I./wallFluxElec/lnInclude -I./wallFluxSolid/lnInclude -I/opt/bwhpc/common/cae/openfoam/7/OpenFOAM-7/src/meshTools/lnInclude -I/opt/bwhpc/common/cae/openfoam/7/OpenFOAM-7/src/sampling/lnInclude -I/opt/bwhpc/common/cae/openfoam/7/OpenFOAM-7/src/finiteVolume/lnInclude -I/opt/bwhpc/common/cae/openfoam/7/OpenFOAM-7/src/fvOptions/lnInclude -I/opt/bwhpc/common/cae/openfoam/7/OpenFOAM-7/src/regionModels/regionModel/lnInclude -IlnInclude -I. -I/opt/bwhpc/common/cae/openfoam/7/OpenFOAM-7/src/OpenFOAM/lnInclude -I/opt/bwhpc/common/cae/openfoam/7/OpenFOAM-7/src/OSspecific/POSIX/lnInclude   -fPIC -c wallFluxElec/wallFluxcClAWFvPatchScalarField.C -o Make/linux64GccDPInt32Opt/wallFluxElec/wallFluxcClAWFvPatchScalarField.o
wallFluxElec/wallFluxcClAWFvPatchScalarField.C: In member function ‘virtual void Foam::wallFluxcClAWFvPatchScalarField::updateCoeffs()’:
wallFluxElec/wallFluxcClAWFvPatchScalarField.C:171:34: warning: unused variable ‘kappaE’ [-Wunused-variable]
  171 |      const fvPatchField<scalar>& kappaE =
      |                                  ^~~~~~
g++ -std=c++11 -m64 -Dlinux64 -DWM_ARCH_OPTION=64 -DWM_DP -DWM_LABEL_SIZE=32 -Wall -Wextra -Wold-style-cast -Wnon-virtual-dtor -Wno-unused-parameter -Wno-invalid-offsetof -Wno-attributes -O3  -DNoRepository -ftemplate-depth-100 -I./solid -I./fluid -I./ButlerVolmerCoupling -I./ButlerVolmerCouplingRFB -I./wallFluxElec/lnInclude -I./wallFluxSolid/lnInclude -I/opt/bwhpc/common/cae/openfoam/7/OpenFOAM-7/src/meshTools/lnInclude -I/opt/bwhpc/common/cae/openfoam/7/OpenFOAM-7/src/sampling/lnInclude -I/opt/bwhpc/common/cae/openfoam/7/OpenFOAM-7/src/finiteVolume/lnInclude -I/opt/bwhpc/common/cae/openfoam/7/OpenFOAM-7/src/fvOptions/lnInclude -I/opt/bwhpc/common/cae/openfoam/7/OpenFOAM-7/src/regionModels/regionModel/lnInclude -IlnInclude -I. -I/opt/bwhpc/common/cae/openfoam/7/OpenFOAM-7/src/OpenFOAM/lnInclude -I/opt/bwhpc/common/cae/openfoam/7/OpenFOAM-7/src/OSspecific/POSIX/lnInclude   -fPIC -c wallFluxSolid/wallFluxFixedPhiSolid.C -o Make/linux64GccDPInt32Opt/wallFluxSolid/wallFluxFixedPhiSolid.o
g++ -std=c++11 -m64 -Dlinux64 -DWM_ARCH_OPTION=64 -DWM_DP -DWM_LABEL_SIZE=32 -Wall -Wextra -Wold-style-cast -Wnon-virtual-dtor -Wno-unused-parameter -Wno-invalid-offsetof -Wno-attributes -O3  -DNoRepository -ftemplate-depth-100 -I./solid -I./fluid -I./ButlerVolmerCoupling -I./ButlerVolmerCouplingRFB -I./wallFluxElec/lnInclude -I./wallFluxSolid/lnInclude -I/opt/bwhpc/common/cae/openfoam/7/OpenFOAM-7/src/meshTools/lnInclude -I/opt/bwhpc/common/cae/openfoam/7/OpenFOAM-7/src/sampling/lnInclude -I/opt/bwhpc/common/cae/openfoam/7/OpenFOAM-7/src/finiteVolume/lnInclude -I/opt/bwhpc/common/cae/openfoam/7/OpenFOAM-7/src/fvOptions/lnInclude -I/opt/bwhpc/common/cae/openfoam/7/OpenFOAM-7/src/regionModels/regionModel/lnInclude -IlnInclude -I. -I/opt/bwhpc/common/cae/openfoam/7/OpenFOAM-7/src/OpenFOAM/lnInclude -I/opt/bwhpc/common/cae/openfoam/7/OpenFOAM-7/src/OSspecific/POSIX/lnInclude   -fPIC -c ButlerVolmerCouplingRFB/BVphiElecGradRFB.C -o Make/linux64GccDPInt32Opt/ButlerVolmerCouplingRFB/BVphiElecGradRFB.o
ButlerVolmerCouplingRFB/BVphiElecGradRFB.C: In member function ‘virtual void Foam::BVphiElecGradRFBFvPatchScalarField::updateCoeffs()’:
ButlerVolmerCouplingRFB/BVphiElecGradRFB.C:135:19: warning: unused variable ‘myRegion’ [-Wunused-variable]
  135 |     const fvMesh& myRegion = patch().boundaryMesh().mesh();
      |                   ^~~~~~~~
g++ -std=c++11 -m64 -Dlinux64 -DWM_ARCH_OPTION=64 -DWM_DP -DWM_LABEL_SIZE=32 -Wall -Wextra -Wold-style-cast -Wnon-virtual-dtor -Wno-unused-parameter -Wno-invalid-offsetof -Wno-attributes -O3  -DNoRepository -ftemplate-depth-100 -I./solid -I./fluid -I./ButlerVolmerCoupling -I./ButlerVolmerCouplingRFB -I./wallFluxElec/lnInclude -I./wallFluxSolid/lnInclude -I/opt/bwhpc/common/cae/openfoam/7/OpenFOAM-7/src/meshTools/lnInclude -I/opt/bwhpc/common/cae/openfoam/7/OpenFOAM-7/src/sampling/lnInclude -I/opt/bwhpc/common/cae/openfoam/7/OpenFOAM-7/src/finiteVolume/lnInclude -I/opt/bwhpc/common/cae/openfoam/7/OpenFOAM-7/src/fvOptions/lnInclude -I/opt/bwhpc/common/cae/openfoam/7/OpenFOAM-7/src/regionModels/regionModel/lnInclude -IlnInclude -I. -I/opt/bwhpc/common/cae/openfoam/7/OpenFOAM-7/src/OpenFOAM/lnInclude -I/opt/bwhpc/common/cae/openfoam/7/OpenFOAM-7/src/OSspecific/POSIX/lnInclude   -fPIC -c ButlerVolmerCouplingRFB/BVphiSolidMixedRFB.C -o Make/linux64GccDPInt32Opt/ButlerVolmerCouplingRFB/BVphiSolidMixedRFB.o
ButlerVolmerCouplingRFB/BVphiSolidMixedRFB.C: In member function ‘virtual void Foam::BVphiSolidMixedRFBFvPatchScalarField::updateCoeffs()’:
ButlerVolmerCouplingRFB/BVphiSolidMixedRFB.C:175:15: warning: unused variable ‘cRate’ [-Wunused-variable]
  175 |  const scalar cRate = readScalar(butlerVolmerPropertiesElec.lookup("cRate_charge"));
      |               ^~~~~
g++ -std=c++11 -m64 -Dlinux64 -DWM_ARCH_OPTION=64 -DWM_DP -DWM_LABEL_SIZE=32 -Wall -Wextra -Wold-style-cast -Wnon-virtual-dtor -Wno-unused-parameter -Wno-invalid-offsetof -Wno-attributes -O3  -DNoRepository -ftemplate-depth-100 -I./solid -I./fluid -I./ButlerVolmerCoupling -I./ButlerVolmerCouplingRFB -I./wallFluxElec/lnInclude -I./wallFluxSolid/lnInclude -I/opt/bwhpc/common/cae/openfoam/7/OpenFOAM-7/src/meshTools/lnInclude -I/opt/bwhpc/common/cae/openfoam/7/OpenFOAM-7/src/sampling/lnInclude -I/opt/bwhpc/common/cae/openfoam/7/OpenFOAM-7/src/finiteVolume/lnInclude -I/opt/bwhpc/common/cae/openfoam/7/OpenFOAM-7/src/fvOptions/lnInclude -I/opt/bwhpc/common/cae/openfoam/7/OpenFOAM-7/src/regionModels/regionModel/lnInclude -IlnInclude -I. -I/opt/bwhpc/common/cae/openfoam/7/OpenFOAM-7/src/OpenFOAM/lnInclude -I/opt/bwhpc/common/cae/openfoam/7/OpenFOAM-7/src/OSspecific/POSIX/lnInclude   -fPIC -c ButlerVolmerCouplingRFB/BVcElecGradRFB.C -o Make/linux64GccDPInt32Opt/ButlerVolmerCouplingRFB/BVcElecGradRFB.o
ButlerVolmerCouplingRFB/BVcElecGradRFB.C: In member function ‘virtual void Foam::BVcElecGradRFBFvPatchScalarField::updateCoeffs()’:
ButlerVolmerCouplingRFB/BVcElecGradRFB.C:137:15: warning: unused variable ‘myRegion’ [-Wunused-variable]
  137 | const fvMesh& myRegion = patch().boundaryMesh().mesh();
      |               ^~~~~~~~
ButlerVolmerCouplingRFB/BVcElecGradRFB.C:159:30: warning: unused variable ‘cTempoElec’ [-Wunused-variable]
  159 |  const fvPatchField<scalar>& cTempoElec =
      |                              ^~~~~~~~~~
ButlerVolmerCouplingRFB/BVcElecGradRFB.C:165:30: warning: unused variable ‘cClElec’ [-Wunused-variable]
  165 |  const fvPatchField<scalar>& cClElec =
      |                              ^~~~~~~
ButlerVolmerCouplingRFB/BVcElecGradRFB.C:171:30: warning: unused variable ‘kappaE’ [-Wunused-variable]
  171 |  const fvPatchField<scalar>& kappaE =
      |                              ^~~~~~
ButlerVolmerCouplingRFB/BVcElecGradRFB.C:174:30: warning: unused variable ‘DiffKoeffTempo’ [-Wunused-variable]
  174 |  const fvPatchField<scalar>& DiffKoeffTempo =
      |                              ^~~~~~~~~~~~~~
ButlerVolmerCouplingRFB/BVcElecGradRFB.C:180:30: warning: unused variable ‘DiffKoeffCl’ [-Wunused-variable]
  180 |  const fvPatchField<scalar>& DiffKoeffCl =
      |                              ^~~~~~~~~~~
g++ -std=c++11 -m64 -Dlinux64 -DWM_ARCH_OPTION=64 -DWM_DP -DWM_LABEL_SIZE=32 -Wall -Wextra -Wold-style-cast -Wnon-virtual-dtor -Wno-unused-parameter -Wno-invalid-offsetof -Wno-attributes -O3  -DNoRepository -ftemplate-depth-100 -I./solid -I./fluid -I./ButlerVolmerCoupling -I./ButlerVolmerCouplingRFB -I./wallFluxElec/lnInclude -I./wallFluxSolid/lnInclude -I/opt/bwhpc/common/cae/openfoam/7/OpenFOAM-7/src/meshTools/lnInclude -I/opt/bwhpc/common/cae/openfoam/7/OpenFOAM-7/src/sampling/lnInclude -I/opt/bwhpc/common/cae/openfoam/7/OpenFOAM-7/src/finiteVolume/lnInclude -I/opt/bwhpc/common/cae/openfoam/7/OpenFOAM-7/src/fvOptions/lnInclude -I/opt/bwhpc/common/cae/openfoam/7/OpenFOAM-7/src/regionModels/regionModel/lnInclude -IlnInclude -I. -I/opt/bwhpc/common/cae/openfoam/7/OpenFOAM-7/src/OpenFOAM/lnInclude -I/opt/bwhpc/common/cae/openfoam/7/OpenFOAM-7/src/OSspecific/POSIX/lnInclude   -fPIC -c periodicBC/periodicPhiSolidCoupling.C -o Make/linux64GccDPInt32Opt/periodicBC/periodicPhiSolidCoupling.o
periodicBC/periodicPhiSolidCoupling.C: In member function ‘virtual void Foam::periodicPhiSolidCouplingFvPatchScalarField::updateCoeffs()’:
periodicBC/periodicPhiSolidCoupling.C:176:26: warning: unused variable ‘distMap’ [-Wunused-variable]
  176 |     const mapDistribute& distMap = mpp.map();
      |                          ^~~~~~~
g++ -std=c++11 -m64 -Dlinux64 -DWM_ARCH_OPTION=64 -DWM_DP -DWM_LABEL_SIZE=32 -Wall -Wextra -Wold-style-cast -Wnon-virtual-dtor -Wno-unused-parameter -Wno-invalid-offsetof -Wno-attributes -O3  -DNoRepository -ftemplate-depth-100 -I./solid -I./fluid -I./ButlerVolmerCoupling -I./ButlerVolmerCouplingRFB -I./wallFluxElec/lnInclude -I./wallFluxSolid/lnInclude -I/opt/bwhpc/common/cae/openfoam/7/OpenFOAM-7/src/meshTools/lnInclude -I/opt/bwhpc/common/cae/openfoam/7/OpenFOAM-7/src/sampling/lnInclude -I/opt/bwhpc/common/cae/openfoam/7/OpenFOAM-7/src/finiteVolume/lnInclude -I/opt/bwhpc/common/cae/openfoam/7/OpenFOAM-7/src/fvOptions/lnInclude -I/opt/bwhpc/common/cae/openfoam/7/OpenFOAM-7/src/regionModels/regionModel/lnInclude -IlnInclude -I. -I/opt/bwhpc/common/cae/openfoam/7/OpenFOAM-7/src/OpenFOAM/lnInclude -I/opt/bwhpc/common/cae/openfoam/7/OpenFOAM-7/src/OSspecific/POSIX/lnInclude   -fPIC -c periodicBC/periodiccLiElecCoupling.C -o Make/linux64GccDPInt32Opt/periodicBC/periodiccLiElecCoupling.o
g++ -std=c++11 -m64 -Dlinux64 -DWM_ARCH_OPTION=64 -DWM_DP -DWM_LABEL_SIZE=32 -Wall -Wextra -Wold-style-cast -Wnon-virtual-dtor -Wno-unused-parameter -Wno-invalid-offsetof -Wno-attributes -O3  -DNoRepository -ftemplate-depth-100 -I./solid -I./fluid -I./ButlerVolmerCoupling -I./ButlerVolmerCouplingRFB -I./wallFluxElec/lnInclude -I./wallFluxSolid/lnInclude -I/opt/bwhpc/common/cae/openfoam/7/OpenFOAM-7/src/meshTools/lnInclude -I/opt/bwhpc/common/cae/openfoam/7/OpenFOAM-7/src/sampling/lnInclude -I/opt/bwhpc/common/cae/openfoam/7/OpenFOAM-7/src/finiteVolume/lnInclude -I/opt/bwhpc/common/cae/openfoam/7/OpenFOAM-7/src/fvOptions/lnInclude -I/opt/bwhpc/common/cae/openfoam/7/OpenFOAM-7/src/regionModels/regionModel/lnInclude -IlnInclude -I. -I/opt/bwhpc/common/cae/openfoam/7/OpenFOAM-7/src/OpenFOAM/lnInclude -I/opt/bwhpc/common/cae/openfoam/7/OpenFOAM-7/src/OSspecific/POSIX/lnInclude   -fPIC -c periodicBC/periodicPhiElecCoupling.C -o Make/linux64GccDPInt32Opt/periodicBC/periodicPhiElecCoupling.o
g++ -std=c++11 -m64 -Dlinux64 -DWM_ARCH_OPTION=64 -DWM_DP -DWM_LABEL_SIZE=32 -Wall -Wextra -Wold-style-cast -Wnon-virtual-dtor -Wno-unused-parameter -Wno-invalid-offsetof -Wno-attributes -O3  -DNoRepository -ftemplate-depth-100 -I./solid -I./fluid -I./ButlerVolmerCoupling -I./ButlerVolmerCouplingRFB -I./wallFluxElec/lnInclude -I./wallFluxSolid/lnInclude -I/opt/bwhpc/common/cae/openfoam/7/OpenFOAM-7/src/meshTools/lnInclude -I/opt/bwhpc/common/cae/openfoam/7/OpenFOAM-7/src/sampling/lnInclude -I/opt/bwhpc/common/cae/openfoam/7/OpenFOAM-7/src/finiteVolume/lnInclude -I/opt/bwhpc/common/cae/openfoam/7/OpenFOAM-7/src/fvOptions/lnInclude -I/opt/bwhpc/common/cae/openfoam/7/OpenFOAM-7/src/regionModels/regionModel/lnInclude -IlnInclude -I. -I/opt/bwhpc/common/cae/openfoam/7/OpenFOAM-7/src/OpenFOAM/lnInclude -I/opt/bwhpc/common/cae/openfoam/7/OpenFOAM-7/src/OSspecific/POSIX/lnInclude   -fPIC -c tempoRfbFoamX4.C -o Make/linux64GccDPInt32Opt/tempoRfbFoamX4.o
In file included from solveTotalSolid.H:5,
                 from tempoRfbFoamX4.C:90:
./solid/setRegionSolidFields.H: In function ‘int main(int, char**)’:
./solid/setRegionSolidFields.H:2:13: warning: unused variable ‘mesh’ [-Wunused-variable]
    2 |     fvMesh& mesh = solidRegions[i];
      |             ^~~~
./solid/setRegionSolidFields.H:14:21: warning: unused variable ‘TemperatureSolid’ [-Wunused-variable]
   14 |     volScalarField& TemperatureSolid = TemperatureSolidPtr[i];
      |                     ^~~~~~~~~~~~~~~~
./solid/setRegionSolidFields.H:30:11: warning: unused variable ‘totalCurrentToleranceSolid’ [-Wunused-variable]
   30 |    scalar totalCurrentToleranceSolid = 2e-3;
      |           ^~~~~~~~~~~~~~~~~~~~~~~~~~
In file included from ./fluid/solveFluid.H:27,
                 from solveTotalFluid.H:8,
                 from tempoRfbFoamX4.C:92:
./fluid/checkSOC.H:12:8: warning: unused variable ‘avTP_in3’ [-Wunused-variable]
   12 | scalar avTP_in3 = gAverage(cTempoPl.boundaryField()[patchID_in]);
      |        ^~~~~~~~
In file included from solveTotalFluid.H:5,
                 from tempoRfbFoamX4.C:92:
./fluid/setRegionFluidFields.H:35:21: warning: unused variable ‘cElecVolume’ [-Wunused-variable]
   35 |     volScalarField& cElecVolume = cElecVolumePtr[i];
      |                     ^~~~~~~~~~~
./fluid/setRegionFluidFields.H:39:21: warning: unused variable ‘U’ [-Wunused-variable]
   39 |     volVectorField& U = UFluidPtr[i];   // change AW
      |                     ^
./fluid/setRegionFluidFields.H:55:11: warning: unused variable ‘patchID_elec1’ [-Wunused-variable]
   55 |     label patchID_elec1  = fluidRegions[i].boundaryMesh().findPatchID("electrolyte_1");
      |           ^~~~~~~~~~~~~
./fluid/setRegionFluidFields.H:56:11: warning: unused variable ‘patchID_elec2’ [-Wunused-variable]
   56 |     label patchID_elec2  = fluidRegions[i].boundaryMesh().findPatchID("electrolyte_2");
      |           ^~~~~~~~~~~~~
In file included from solveTotalFluid.H:5,
                 from tempoRfbFoamX4.C:92:
./fluid/setRegionFluidFields.H:65:12: warning: unused variable ‘totalCurrentToleranceFluid’ [-Wunused-variable]
   65 |     scalar totalCurrentToleranceFluid = 2e-3; // 0.2%
      |            ^~~~~~~~~~~~~~~~~~~~~~~~~~
In file included from solveTotalFluid.H:8,
                 from tempoRfbFoamX4.C:92:
./fluid/solveFluid.H:5:7: warning: unused variable ‘electroNeutrality’ [-Wunused-variable]
    5 |  bool electroNeutrality = false;
      |       ^~~~~~~~~~~~~~~~~
tempoRfbFoamX4.C:84:8: warning: unused variable ‘finalIter’ [-Wunused-variable]
   84 |   bool finalIter = oCorr == nOuterCorr-1;
      |        ^~~~~~~~~
In file included from tempoRfbFoamX4.C:77:
readRfbCoupledCellFoamControls.H:11:12: warning: unused variable ‘stepSize’ [-Wunused-variable]
   11 |     scalar stepSize = 1e-6;
      |            ^~~~~~~~
readRfbCoupledCellFoamControls.H:25:18: warning: unused variable ‘conservativeTolerance’ [-Wunused-variable]
   25 |     const scalar conservativeTolerance =
      |                  ^~~~~~~~~~~~~~~~~~~~~
In file included from tempoRfbFoamX4.C:60:
./fluid/createFluidFields.H:23:8: warning: unused variable ‘I_mem_old’ [-Wunused-variable]
   23 | scalar I_mem_old;
      |        ^~~~~~~~~
In file included from tempoRfbFoamX4.C:62:
./fluid/readButlerVolmerProperties.H:46:8: warning: unused variable ‘cycleNumber’ [-Wunused-variable]
   46 | scalar cycleNumber = readScalar(butlerVolmerProperties.lookup("cycleNumber"));
      |        ^~~~~~~~~~~
./fluid/readButlerVolmerProperties.H:52:8: warning: unused variable ‘currentLimit’ [-Wunused-variable]
   52 | scalar currentLimit = readScalar(butlerVolmerProperties.lookup("currentLimit"));
      |        ^~~~~~~~~~~~
tempoRfbFoamX4.C:68:7: warning: variable ‘enterConstPotMode’ set but not used [-Wunused-but-set-variable]
   68 |  bool enterConstPotMode = false;
      |       ^~~~~~~~~~~~~~~~~
tempoRfbFoamX4.C:70:9: warning: unused variable ‘cycleCount’ [-Wunused-variable]
   70 |  scalar cycleCount = 0;
      |         ^~~~~~~~~~
tempoRfbFoamX4.C:71:9: warning: variable ‘currentCurrent’ set but not used [-Wunused-but-set-variable]
   71 |  scalar currentCurrent = GREAT;
      |         ^~~~~~~~~~~~~~
In file included from tempoRfbFoamX4.C:73:
/opt/bwhpc/common/cae/openfoam/7/OpenFOAM-7/src/finiteVolume/lnInclude/createTimeControls.H:32:6: warning: unused variable ‘adjustTimeStep’ [-Wunused-variable]
   32 | bool adjustTimeStep =
      |      ^~~~~~~~~~~~~~
/opt/bwhpc/common/cae/openfoam/7/OpenFOAM-7/src/finiteVolume/lnInclude/createTimeControls.H:35:8: warning: unused variable ‘maxCo’ [-Wunused-variable]
   35 | scalar maxCo =
      |        ^~~~~
/opt/bwhpc/common/cae/openfoam/7/OpenFOAM-7/src/finiteVolume/lnInclude/createTimeControls.H:38:8: warning: unused variable ‘maxDeltaT’ [-Wunused-variable]
   38 | scalar maxDeltaT =
      |        ^~~~~~~~~
g++ -std=c++11 -m64 -Dlinux64 -DWM_ARCH_OPTION=64 -DWM_DP -DWM_LABEL_SIZE=32 -Wall -Wextra -Wold-style-cast -Wnon-virtual-dtor -Wno-unused-parameter -Wno-invalid-offsetof -Wno-attributes -O3  -DNoRepository -ftemplate-depth-100 -I./solid -I./fluid -I./ButlerVolmerCoupling -I./ButlerVolmerCouplingRFB -I./wallFluxElec/lnInclude -I./wallFluxSolid/lnInclude -I/opt/bwhpc/common/cae/openfoam/7/OpenFOAM-7/src/meshTools/lnInclude -I/opt/bwhpc/common/cae/openfoam/7/OpenFOAM-7/src/sampling/lnInclude -I/opt/bwhpc/common/cae/openfoam/7/OpenFOAM-7/src/finiteVolume/lnInclude -I/opt/bwhpc/common/cae/openfoam/7/OpenFOAM-7/src/fvOptions/lnInclude -I/opt/bwhpc/common/cae/openfoam/7/OpenFOAM-7/src/regionModels/regionModel/lnInclude -IlnInclude -I. -I/opt/bwhpc/common/cae/openfoam/7/OpenFOAM-7/src/OpenFOAM/lnInclude -I/opt/bwhpc/common/cae/openfoam/7/OpenFOAM-7/src/OSspecific/POSIX/lnInclude   -fPIC -fuse-ld=bfd -Xlinker --add-needed -Xlinker --no-as-needed Make/linux64GccDPInt32Opt/wallFluxElec/wallFluxcClAWFvPatchScalarField.o Make/linux64GccDPInt32Opt/wallFluxSolid/wallFluxFixedPhiSolid.o Make/linux64GccDPInt32Opt/ButlerVolmerCouplingRFB/BVphiElecGradRFB.o Make/linux64GccDPInt32Opt/ButlerVolmerCouplingRFB/BVphiSolidMixedRFB.o Make/linux64GccDPInt32Opt/ButlerVolmerCouplingRFB/BVcElecGradRFB.o Make/linux64GccDPInt32Opt/periodicBC/periodicPhiSolidCoupling.o Make/linux64GccDPInt32Opt/periodicBC/periodiccLiElecCoupling.o Make/linux64GccDPInt32Opt/periodicBC/periodicPhiElecCoupling.o Make/linux64GccDPInt32Opt/tempoRfbFoamX4.o -L/opt/bwhpc/common/cae/openfoam/7/OpenFOAM-7/platforms/linux64GccDPInt32Opt/lib \
    -lmeshTools -lfiniteVolume -lfvOptions -lregionModels -lsampling -lOpenFOAM -ldl  \
     -lm -o /home/kit/mvm/jb2632/OpenFOAM/jb2632-7/platforms/linux64GccDPInt32Opt/bin/tempoRfbFoamX4
